### Method

# GimpUi ProcedureDialog get_coordinates

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_coordinates (
      GimpProcedureDialog* dialog,
      const gchar* coordinates_id,
      const gchar* x_property,
      const gchar* y_property,
      const gchar* unit_property,
      const gchar* unit_format,
      GimpSizeEntryUpdatePolicy update_policy,
      gdouble x_resolution,
      gdouble y_resolution
    )

#### Description [src]

Creates a new `GimpCoordinates` for `x_property` and `y_property` which must necessarily be an integer or double property. The associated `unit_property` must be a GimpUnit property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`coordinates_id`

  Type: `const gchar*`

  Identifier for `GimpCoordinates` widget.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`x_property`

  Type: `const gchar*`

  Name of int or double property for X coordinate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`y_property`

  Type: `const gchar*`

  Name of int or double property for Y coordinate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`unit_property`

  Type: `const gchar*`

  Name of unit property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`unit_format`

  Type: `const gchar*`

  A printf-like unit-format string as is used with gimp_unit_menu_new().

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`update_policy`

  Type: `GimpSizeEntryUpdatePolicy`

  How the automatic pixel <-> real-world-unit calculations should be done.

`x_resolution`

  Type: `gdouble`

  The resolution (in dpi) for the X coordinate.

`y_resolution`

  Type: `gdouble`

  The resolution (in dpi) for the Y coordinate.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `coordinates_id`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.